libzypp 17.37.10

ztui::text Namespace Reference

## Functions
ColorString | tagNote ()
| translated "Note:" highlighted
ColorString | tagWarning ()
| translated "Warning:" warning color
ColorString | tagError ()
| translated "Error:" error color
const char * | qContinue ()
| translated "Continue?"
template<class Tltext, class Trtext>
std::string | join (const Tltext &ltext, const Trtext &rtext, const char *sep=" ")
| Simple join of two string types.
bool | endsOnWS (const std::string &str_r)
| Whether the str_r ends with a WS.
const char * | optBlankAfter (const std::string &str_r)

## Function Documentation

## ◆ tagNote()

ColorString ztui::text::tagNote | ( |  | ) |

translated "Note:" highlighted

Definition at line 26 of file Out.cc.

## ◆ tagWarning()

ColorString ztui::text::tagWarning | ( |  | ) |

translated "Warning:" warning color

Definition at line 28 of file Out.cc.

## ◆ tagError()

ColorString ztui::text::tagError | ( |  | ) |

translated "Error:" error color

Definition at line 30 of file Out.cc.

## ◆ qContinue()

const char * ztui::text::qContinue | ( |  | ) |

translated "Continue?"

Definition at line 32 of file Out.cc.

## ◆ join()

template<class Tltext, class Trtext>

std::string ztui::text::join | ( | const Tltext & | ltext,
|  | const Trtext & | rtext,
|  | const char * | sep = " " )
| inline

Simple join of two string types.

Definition at line 56 of file Out.h.

## ◆ endsOnWS()

bool ztui::text::endsOnWS | ( | const std::string & | str_r | ) |
| inline

Whether the str_r ends with a WS.

Definition at line 60 of file Out.h.

## ◆ optBlankAfter()

const char * ztui::text::optBlankAfter | ( | const std::string & | str_r | ) |
| inline

Definition at line 68 of file Out.h.